<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;
if (!$this->have()){
    header("HTTP/1.0 404 Not Found"); //搜索的时候404
}
?>
<!DOCTYPE HTML>
<html style="<?php if ($this->options->bgimg): ?>background-image: url(<?php $this->options->bgimg(); ?>)<?php else:?>background:#333<?php endif; ?>;">
<head>
    <meta charset="<?php $this->options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title><?php $this->archiveTitle(array(
            'category'  =>  _t('分类 %s 下的文章'),
            'search'    =>  _t('包含关键字 %s 的文章'),
            'tag'     =>  _t('标签 %s 下的文章'),
            'author'    =>  _t('%s 发布的文章')
        ), '', ' - '); ?><?php $this->options->title(); ?></title>
    <link rel="stylesheet" href="<?php $this->options->themeUrl('s/i.css'); ?>">
<link rel="stylesheet" href="<?php $this->options->themeUrl('style.css'); ?>">
<link rel="stylesheet" href="<?php $this->options->themeUrl('layui/css/layui.css'); ?>">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <?php $this->header(); ?>
    <!--[if lte IE 8]>
    <style>
        html{background-image: none !important}
        #gotop{background-color: #484848}
    </style>
    <![endif]-->
</head>
<body>
<ul class="layui-nav" lay-filter="">
<span class="sidebar-pc-show">
<li class="layui-nav-item"><a href='/'>首页</a></li>
<?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
            <?php while($pages->next()): ?>
            <li class="layui-nav-item"><a href="<?php $pages->permalink(); ?>" title="<?php $pages->title(); ?>"><?php $pages->title(); ?></a></li>
            <?php endwhile; ?>
</span>
<span class='layui-hide-sm layui-hide-md layui-hide-lg'>
<li class="layui-nav-item"><a href='/'><img src='<?php $this->options->logo(); ?>' width='80px' height='40px' title='LOGO' alt='LOGO' /></a></li>
</span>
  <li class="layui-nav-item" style="float:right">
    <a href="/admin">登录</a>
  </li>
  <li class="layui-nav-item" style="float:right"><a href="/admin/register.php">注册</a></li>
</ul>

<div class="head"></div>

<div class="body c-min">
	<div class="body-top-bg shadow" style="background-image: url(<?php if ($this->options->topimg): ?>
<?php $this->options->topimg(); ?>
<?php else: ?>
<?php $this->options->themeUrl('img/bj.jpg'); ?>
<?php endif; ?>);">
<img class='body-gravatar' src='<?php $this->options->logo(); ?>' height='100px' width='100px' />
		<h2><?php $this->options->title() ?></h2>
		<small><i><?php $this->options->description() ?></i></small>
	</div>
    <div class="top-bar-body">
        <ul>
            <li<?php if($this->is('index')): ?> class="current"<?php endif; ?>><a href="<?php $this->options->siteUrl(); ?>"><?php _e('主页'); ?></a></li>
<span class='layui-hide-sm layui-hide-md layui-hide-lg'>
<?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
            <?php while($pages->next()): ?>
            <li><a href="<?php $pages->permalink(); ?>" title="<?php $pages->title(); ?>"><?php $pages->title(); ?></a></li>
            <?php endwhile; ?>
</span>
<span class="sidebar-pc-show">
            <?php $this->options->dingbu(); ?>
</span>
        </ul>
    </div>
<?php $this->need('sidebar.php'); ?>
<div class="article-list">
<div class="layui-card">
  <div class="layui-card-header">
<a href="<?php $this->options->siteUrl(); ?>">首页</a> &raquo;</li>
	<?php if ($this->is('index')): ?><!-- 页面为首页时 -->
		最新文章
	<?php elseif ($this->is('post')): ?><!-- 页面为文章单页时 -->
		<?php $this->category(); ?> &raquo; <?php $this->title() ?>
	<?php else: ?><!-- 页面为其他页时 -->
		<?php $this->archiveTitle(' &raquo; ','',''); ?>
	<?php endif; ?>   
</div> 
<div class="layui-card-body layui-hide-xs">
<span class="layui-badge">告</span> <?php $this->options->tongzhi(); ?>
</div>
<?php if (!empty($this->options->sidebarBlock) && in_array('ShowHdp', $this->options->sidebarBlock)): ?>
<?php if ($this->is('index')): ?>
<div class="layui-carousel" id="test2" style="margin-top: 15px;">
  <div carousel-item="">
<?php $this->options->huandengp(); ?>
  </div>
</div> 
<?php endif; ?>
<?php endif; ?>
    <form method="post" action="" class="layui-form layui-form-pane">
<div class="layui-form-item">
<button type="submit" class="layui-form-label layui-btn layui-btn-primary layui-btn-sm">提交</button>
    <div class="layui-input-block">
      <input type="text" name="s" placeholder="请输入关键词" class="layui-input" type="text">
    </div>
  </div>
</form>
</div>
