<?php

/**
 * 奇乐网博客官方模板
 * 
 * @package  奇乐网博客官方模板
 * @author 寻梦xunm
 * @version 0.1
 * @link https://76wp.cn
 */

$this->need('head.php');
if ($this->have()){
while($this->next()): ?>
<div class="post">
	<?php $this->author->gravatar('60','','','post-head') ?>
	<div class="post-article">
		<div class="post-info-i">
			<h2><a href="<?php $this->permalink() ?>"><?php $this->title() ?></a></h2>
			<small title="<?php $this->date('Y年'); ?>">时间: <?php $this->date('m月d日'); ?> 人气: <?php get_post_view($this); ?> <?php if($this->user->hasLogin()): ?> 管理: <a href="<?php $this->options->adminUrl("write-post.php?cid=".$this->cid); ?>">编辑</a> <?php endif; ?> 话题: <?php $this->tags(',', true, '暂无'); ?></small>
		</div><hr>
		<div class="post-content">
<?php echo showThumb($this); ?><br />
		<?php $this->excerpt(200,"...");//$this->content('继续阅读'); ?>
		<p class="more"><span class='layui-btn layui-btn-primary'><a href="<?php $this->permalink(); ?>" title="<?php $this->title(); ?>">继续阅读</a></span></p>
		</div>
	</div>
	<div class="clear"></div>
	<div class="post-meta">
			<span><i class="fa fa-user"></i><a href="<?php $this->author->permalink(); ?>"><?php $this->author(); ?></a></span>
			<span><i class="fa fa-inbox"></i><?php $this->category(','); ?></span>
	    	<span><i class="fa fa-comment"></i><?php $this->commentsNum('%d 条'); ?></span>
	    	<div class="clear"></div>
	</div>
</div>
<?php endwhile;
}else{
?>
<div class="post">
	<?php fox_get_https_avatar($this->author->gravatar('60','','','post-head')) ?>
	<div class="post-article">
		<div class="post-info-i">
			<h2><a href="#">404 啥也没找到</a></h2>
		</div>
		<div class="post-content">
			<p>什么都没有找到啊。。抱歉啦！</p>
			404页面是客户端在浏览网页时，服务器无法正常提供信息，或是服务器无法回应，且不知道原因所返回的页面。据说在第三次科技革命之前，互联网的形态就是一个大型的中央数据库，这个数据库就设置在404房间里面。那时候所有的请求都是由人工手动完成的，如果在数据库中没有找到请求者所需要的文件，或者由于请求者写错了文件编号，用户就会得到一个返回信息：room 404 : file not found。404错误信息通常是在目标页面被更改或移除，或客户端输入页面地址错误后显示的页面，人们也就习惯了用404作为服务器未找到文件的错误代码了。当然实际考证传说中的room 404是不存在的，在http请求3位的返回码中，4开头的代表客户错误，5开头代表服务器端错误。
		</div>
	</div>
	<div class="clear"></div>
	<div class="post-meta">
			<span><i class="fa fa-user"></i> <a href="#">System</a></span>
			<span><i class="fa fa-inbox"></i> 404,not,found</span>
	    	<span><i class="fa fa-comment"></i> Zero</span>
	    	<div class="clear"></div>
	</div>
</div>
<?php
}
$this->pageNav('&laquo; 前一页', '后一页 &raquo;'); ?>

<br />
<span class='layui-hide-sm layui-hide-md layui-hide-lg'>
<div class="layui-card">
  <div class="layui-card-header"><i class="fa fa-thumbs-up"></i> 博主信息</div>
  <div class="layui-card-body">
<div class="box">
<div class="box-body">
	<div class="layui-inline"><img src='<?php $this->options->logo(); ?>' class="layui-circle" /></div>
	<div class="huaji-half">
		<span class="icon-yellow"><strong>V</strong> <?php $this->options->mingcheng(); ?></span>
	</div>
	<div class="huaji-half">
		<span class="icon-red"><i>LV.<?php $this->options->dengji(); ?></i></span>
	</div>
	<div class="clear"></div>
	<hr />
	<ul class="li-haf-border">
	<li><i class="fa fa-thumbs-up"></i> <?php $this->options->mingqi(); ?></li>
	<?php if ($this->options->selfidt): ?>
<?php $this->options->selfidt(); ?>
<?php else: ?>
	<li><i class="fa fa-home"></i> 老家：中国</li>
	<li><i class="fa fa-info"></i> 爱好：睡觉、敲代码</li>
	<li><i class="fa fa-birthday-cake"></i> 生日：8102年13月52日</li>
	<li><i class="fa fa-edit"></i> 简介：暂无介绍</li>
	<?php endif; ?>
	</ul>
</div>
</div>
</div>
</div>
<div class="layui-card">
  <div class="layui-card-header"><i class="layui-icon layui-icon-menu-fill"></i> 博客分类</div>
  <div class="layui-card-body">
<div class="box">
	<div class="box-body">
<?php $this->widget('Widget_Metas_Category_List')
               ->parse('<div class="layui-btn layui-btn-primary layui-btn-sm"><a href="{permalink}">{name}</a> ({count})</div>'); ?>
	</div>
	</div>
</div>
</div>
<div class="layui-card">
  <div class="layui-card-header"><i class="fa fa-link"></i> 友情链接</div>
  <div class="layui-card-body">
<div class="box">
	<div class="box-body tagsshow">
		<ul>
			<?php if ($this->options->link): ?><?php $this->options->link(); ?><?php else: echo '<a href="/">暂无友情链接</a>'; endif; ?>
		</ul>
		<div class="clear"></div>
	</div>
	</div>

  </div>
</div>
</span>
<?php
$this->need('foot.php');